Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 13693 - Roots of all disks should be mounted by default
Roots of all disks should be mounted by default
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
PC Linux
: P4 (vote)
: 3.x
Assigned To: Petr Hrebejk
issues@platform
:
Depends on:
Blocks: 17815 23399
  Show dependency treegraph
 
Reported: 2001-07-18 14:49 UTC by Jaroslav Tulach
Modified: 2008-12-22 20:50 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments
A patch to test the new behaviour (22.05 KB, application/octet-stream)
2001-07-18 14:51 UTC, Jaroslav Tulach
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2001-07-18 14:49:17 UTC
Merge a code that will mount all roots of OS into the IDE by default. Currently
is in mount_all_roots_july_2001 branch. Modified files are ExLocalFileSystem and
mf-layer.
Comment 1 Jaroslav Tulach 2001-07-18 14:51:46 UTC
Created attachment 1905 [details]
A patch to test the new behaviour
Comment 2 Jan Chalupa 2001-07-26 10:43:16 UTC
Re-assigning to 'core'.
Comment 3 Jaroslav Tulach 2001-07-30 09:04:29 UTC
Need for 4.0 not before.
Comment 4 Jaroslav Tulach 2001-11-01 10:35:51 UTC
I would like to get rid of this issue and because it is mostly project
4.0 related and it cannot be merged sooner, I choose you Vita, as a
member of project team.

You might find the mount_all_roots_... branch useful when creating the
projects prototype.
Comment 5 Jaroslav Tulach 2002-02-22 13:49:01 UTC
I'll try to add it to the platform.
Comment 6 Jaroslav Tulach 2002-02-22 14:24:45 UTC
Done in ui/src/org/netbeans/core/ui/resources/layer.xml but without
nice icons. Add them if you want.
Comment 7 Petr Hrebejk 2002-03-04 11:45:02 UTC
Curtesy Jarda. If you remove the core-ide.jar from the build of the 
platform the core will mount all the roots + your home directory.

The behavior is configurable using the xml-layers.

If someone misses the extra icons (I do a little bit) he should 
add a new issue (I probably will :-)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo